# Generated by Django 4.0.8 on 2023-01-07 12:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('corptools', '0081_characterlocation_current_ship_name_and_more'),
        ('authentication', '0020_userprofile_language_userprofile_night_mode'),
        ('taxtools', '0019_characterpayouttaxrecord_record_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='characterpayouttaxconfiguration',
            options={'permissions': (('access_tax_tools_ui', 'Can View Tax Tools UI'),),
                     'verbose_name': 'Tax: Character Wallet', 'verbose_name_plural': 'Tax: Character Wallet'},
        ),
        migrations.AlterModelOptions(
            name='corptaxconfiguration',
            options={'verbose_name': 'Config: Corporate',
                     'verbose_name_plural': 'Config: Corporate'},
        ),
        migrations.AlterModelOptions(
            name='corptaxpayouttaxconfiguration',
            options={'verbose_name': 'Tax: Corporate Wallet',
                     'verbose_name_plural': 'Tax: Corporate Wallet'},
        ),
        migrations.AlterModelOptions(
            name='corptaxpermembertaxconfiguration',
            options={'verbose_name': 'Tax: Corp Member Main',
                     'verbose_name_plural': 'Tax: Corp Member Main'},
        ),
        migrations.AlterModelOptions(
            name='corptaxperservicemoduleconfiguration',
            options={'verbose_name': 'Tax: Structure Service',
                     'verbose_name_plural': 'Tax: Structure Service'},
        ),
        migrations.AlterModelOptions(
            name='corptaxrecord',
            options={'verbose_name': 'Records: Corporate',
                     'verbose_name_plural': 'Records: Corporate'},
        ),
        migrations.AlterField(
            model_name='characterpayouttaxconfiguration',
            name='corporation',
            field=models.ForeignKey(blank=True, default=None, help_text='Corporation that sent isk to character, Blank for Any Corporation', limit_choices_to={
                                    'category': 'corporation'}, null=True, on_delete=django.db.models.deletion.CASCADE, to='corptools.evename'),
        ),
        migrations.AlterField(
            model_name='characterpayouttaxconfiguration',
            name='wallet_transaction_type',
            field=models.CharField(
                help_text='Transaction types to tax. eg bounty_prizes,corporate_reward_payout', max_length=150),
        ),
        migrations.AlterField(
            model_name='corptaxpayouttaxconfiguration',
            name='corporation',
            field=models.ForeignKey(blank=True, default=None, help_text='Corporation that sent isk to character, Blank for Any Corporation', limit_choices_to={
                                    'category': 'corporation'}, null=True, on_delete=django.db.models.deletion.CASCADE, to='corptools.evename'),
        ),
        migrations.AlterField(
            model_name='corptaxpayouttaxconfiguration',
            name='wallet_transaction_type',
            field=models.CharField(
                help_text='Transaction types to tax. eg bounty_prizes,corporate_reward_payout', max_length=150),
        ),
        migrations.AlterField(
            model_name='corptaxpermembertaxconfiguration',
            name='state',
            field=models.ForeignKey(help_text='State to assign this member tax rate to.',
                                    on_delete=django.db.models.deletion.CASCADE, to='authentication.state'),
        ),
        migrations.AlterField(
            model_name='corptaxperservicemoduleconfiguration',
            name='module_filters',
            field=models.TextField(
                help_text='Comma Delimited list of service module types to Tax eg, Manufacturing (Standard),Manufacturing (Capitals),Manufacturing (Super Capitals)'),
        ),
        migrations.AlterField(
            model_name='corptaxperservicemoduleconfiguration',
            name='region_filter',
            field=models.ManyToManyField(
                blank=True, help_text='Regions to limit this tax to.', to='corptools.mapregion'),
        ),
        migrations.CreateModel(
            name='CharacterRattingTaxConfiguration',
            fields=[
                ('id', models.AutoField(auto_created=True,
                 primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('tax', models.DecimalField(
                    decimal_places=2, default=5.0, max_digits=5)),
                ('include_ess_section', models.BooleanField(default=True)),
                ('region_filter', models.ManyToManyField(
                    blank=True, to='corptools.mapregion')),
            ],
            options={
                'verbose_name': 'Tax: Character Ratting',
                'verbose_name_plural': 'Tax: Character Ratting',
            },
        ),
    ]
